Bug 329481 - mylyn bugzilla module doesn't synchronizes with the configuration of the particular bugzilla
mylyn bugzilla module doesn't synchronizes with the configuration of the part...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 11:05 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-13 04:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-10-12 11:05:10 EDT
Trying to use eclipse-bugzilla module for managing bugs of the desktop team, and although
it looks very promising there are still some show stoppers for me. The most important
of these is the fact that values of different listboxes is not synchronized with the particular
installation of our bugzilla, so for example I cannot close bugs as INSUFFICIENT_DATA
or CANTFIX. There isn't NOTABUG resolution etc. Could it be either part of the customization
for the particular bugzilla instance or somehow dynamically loaded via XML-RPC? Thanks.
Comment 1 Andrew Overholt 2007-10-12 11:22:05 EDT
Thanks for trying things out, Matej!

For future reference, eclipse-bugzilla is no longer supported.  Please use
eclipse-mylyn-bugzilla which is actually the eclipse-mylyn bugzilla component
(yay SRPM -> bug component mappings).

The custom close resolutions is an upstream issue and it's already been filed as:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=161457

We could *maybe* hack it into our package, but when we move to bugzilla 3.0 it
will work out of the box.  What do you think?
Comment 2 Matěj Cepl 2007-10-12 11:39:00 EDT
Yes, I am lazy, so I haven't checked the packages I have actually installed. I
have eclipse-mylyn-bugzilla-2.0.0-9.fc8.

Does it mean that when RH BZ will be Bugzilla 3.* then this will magically begin
to work? That would be awesome. So this bug could be closed, right?
Comment 3 Andrew Overholt 2007-10-12 11:48:14 EDT
Yeah, it appears from the upstream report that Bugzilla 3.x custom resolutions
are supported in Mylyn now.  So I guess the question now becomes whether or not
we can wait until Red Hat bugzilla moves (will it?).  Do we need to write some
sort of custom Red Hat Bugzilla connector for Mylyn or should we just wait? 
I'll leave the closing and/or subject updating up to you :)
Comment 4 Matěj Cepl 2007-10-13 04:02:16 EDT
Let's close it, it should be question of just couple of months when BZ will be 3.*

Note You need to log in before you can comment on or make changes to this bug.